import java.util.Date;

class StopWatch {

  private double start,stop;
  
  StopWatch(){
  	start=stop=0.0;
  }
  
  void start(){
  	start=new Date().getTime();
  }
  
  void stop(){
  	stop=new Date().getTime();
  }
  
  int readDays(){
  	return (int)((stop-start)/(24*60*60*1000));
  }

  int readHours(){
  	return (int)((stop-start)/(60*60*1000))%24;
  }

  int readMinutes(){
  	return (int)((stop-start)/(60*1000))%60;
  }

  int readSeconds(){
  	return (int)((stop-start)/1000)%60;
  }

  double readmSeconds(){
  	return (stop-start)%1000;
  }

  String timeString() {
  	String res="";
  	
  	if(readDays()>0)res+=readDays()+" days "; 
  	if(readHours()>0)res+=readHours()+" hours "; 
  	if(readMinutes()>0)res+=readMinutes()+" minutes "; 
  	if(readSeconds()>0)res+=readSeconds()+" seconds "; 
  	res+=readmSeconds()+" mseconds "; 
  	
  	return res;
 }

}